Skip to main content
GET
/
v2
/
bank-statements
List Bank Statements
curl --request GET \
  --url https://api.example.com/v2/bank-statements \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "status": "submitted",
      "period_start": "2023-12-25",
      "period_end": "2023-12-25",
      "account_id": "<string>",
      "account_number": "<string>",
      "attachment": {
        "id": "<string>",
        "name": "<string>",
        "src": "<string>",
        "mime_type": "application/json",
        "file_type": "<string>"
      },
      "processing_error": {
        "error_code": "duplicate",
        "error_message": "<string>"
      },
      "transaction_count": 123,
      "total_deposits": 123,
      "total_withdrawals": 123,
      "account_mask": "<string>",
      "currency": "<string>",
      "object": "<string>"
    }
  ],
  "current_page": 0,
  "total_records": 1,
  "next_page": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:0

Page number, 0 indexed.

Required range: x >= 0
limit
integer
default:100

Number of records per page.

Required range: 1 <= x <= 500
sort_by
enum<string>
default:created_at
Available options:
created_at,
period_start,
period_end
sort_order
enum<string>
default:desc
Available options:
asc,
desc
status__in
enum<string>[] | null

Filter by statement status (including SPLIT for parent statements)

Available options:
submitted,
processing,
invalid,
pending_approval,
approved,
split
date
string<date> | null

Filter by date - returns statements where this date falls within the period

search
string | null

Search in attachment filename

account_id
string | null

Filter by bank account ID

original_statement_id
string | null

Find child statements of a split parent

Response

Successful Response

data
BankStatementListItem · object[]
required

The list of records.

current_page
integer
default:0
required

The current page.

total_records
integer | null
required

Total number of records.

Required range: x >= 0
next_page
integer | null
required

The next page number, if one exists.